Badger::Hub::Badger(3pm)

NAME
Badger::Hub::Badger - central hub for accessing Badger components

SYNOPSIS
    use Badger::Hub::Badger;

    # do the happy badger dance!

DESCRIPTION
The Badger::Hub module implements a generic object which provides access to other components in an application. The "Badger::Hub::Badger" module is an eating-your-own-dog-food subclass module for the "Badger::*" modules.

COMPONENT METHODS

  codecs()
Loads, instantiates and returns a Badger::Codecs object.

  filesystem()
Loads, instantiates and returns a Badger::Filesystem object.

  pod()
Loads and returns a "Badger::Pod" object. This is a work in progress so it's almost certainly not installed on your machine. Sorry about that.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2001-2009 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.